import http from '@/utils/request'
// 获取订单列表
export function getOrderList (params) {
  return http.post('/tenant/order/list', { data: params })
}
// 取消订单
export function cancelOrder (params) {
  return http.post('/tenant/order/cancelOrder', { data: params })
}

// 取票对账
export function getStatisticsForReconciliation (params) {
  return http.post('/tenant/statistics/getStatisticsForReconciliation', { data: params })
}

// 改签订单

export function getModifyOrderList (params) {
  return http.post('/tenant/order/getModifyOrderList', { data: params })
}
// 手动检票
export function checkTicket (params) {
  return http.post('/tenant/order/manualCheck', { data: params })
}

export function exportOrderList (params) {
  return http.post('/tenant/order/exportOrderList', { data: params })
}

export function cancelOrderAudit (params) {
  return http.post('/tenant/order/cancelOrderAudit', { data: params })
}

// 获取订单销售统计
export function getOrderStatistics (params) {
  return http.post('/tenant/statistics/orderSaleStatistics', { data: params })
}

// 获取分销商名称列表
export function getOtaSourceList (params) {
  return http.post('/tenant/otaSource', { data: params })
}

export function getOrderCancelStatistics (params) {
  return http.post('/tenant/statistics/orderCancelStatistics', { data: params })
}

export function getInventoryList (params) {
  return http.post('/tenant/invoiceRecord', { data: params })
}
